### Signal

# Gtk Dialog::response

#### Declaration

    void
    response (
      GtkDialog self,
      gint response_id,
      gpointer user_data
    )

#### Description [src]

Emitted when an action widget is clicked.

The signal is also emitted when the dialog receives a delete event, and when gtk_dialog_response() is called. On a delete event, the response ID is `GTK_RESPONSE_DELETE_EVENT`. Otherwise, it depends on which action widget was clicked.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`response_id` | `gint`
| The response ID.